View Issue Details

IDProjectCategoryView StatusLast Update
0000139file[All Projects] Generalpublic2020-02-13 18:10
ReportergockelhahnAssigned Tochristos 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformx86_64OSarch linuxOS Version
Product Version5.38 
Target VersionFixed in Version5.39 
Summary0000139: massive memory usage (leak!?) for small crafted magic files
Descriptionfuzzing with stock afl found some plain magic files, taking a lot of memory and time to produce a result (mostly white trash)
Steps To Reproduce    git clone https://github.com/file/file.git
    cd file
    export CFLAGS="-g -fsanitize=address -fno-omit-frame-pointer"
    autoreconf -i
    ./configure --disable-libseccomp
    make all
    ./src/.libs/lt-file -m ~/test2_1 /etc/services
Additional Informationmaster @ 85b214cd422dd2538800c8b6d6e6c383d9ee17bf
Tagsmagic

Activities

gockelhahn

2020-02-04 22:49

reporter  

test2_1 (59 bytes)
test2_1 (59 bytes)
test2_2 (59 bytes)
test2_2 (59 bytes)
test2_3 (59 bytes)
test2_3 (59 bytes)
test2_4 (90 bytes)
test2_4 (90 bytes)
test2_5 (58 bytes)
test2_5 (58 bytes)
test2_6 (57 bytes)
test2_6 (57 bytes)

christos

2020-02-13 18:10

manager   ~0003358

Fixed, thanks!

Issue History

Date Modified Username Field Change
2020-02-04 22:49 gockelhahn New Issue
2020-02-04 22:49 gockelhahn File Added: test2_6
2020-02-04 22:49 gockelhahn File Added: test2_5
2020-02-04 22:49 gockelhahn File Added: test2_4
2020-02-04 22:49 gockelhahn File Added: test2_3
2020-02-04 22:49 gockelhahn File Added: test2_2
2020-02-04 22:49 gockelhahn File Added: test2_1
2020-02-05 17:39 gockelhahn Tag Attached: magic
2020-02-13 18:10 christos Assigned To => christos
2020-02-13 18:10 christos Status new => assigned
2020-02-13 18:10 christos Status assigned => resolved
2020-02-13 18:10 christos Resolution open => fixed
2020-02-13 18:10 christos Fixed in Version => 5.39
2020-02-13 18:10 christos Note Added: 0003358